from django.urls import path
from . import views

app_name = 'courses'

urlpatterns = [
    path('', views.home, name='home'),
    path('courses/', views.course_catalog, name='catalog'),
    path('course/<int:course_id>/', views.course_detail, name='course_detail'),
    path('course/<int:course_id>/player/', views.course_player, name='player'),
    path('course/<int:course_id>/checkout/', views.checkout, name='checkout'),
    path('orders/<int:order_id>/', views.order_status, name='order_status'),
    path('payments/zarinpal/callback/<int:order_id>/', views.zarinpal_callback, name='zarinpal_callback'),
    path('profile/', views.profile, name='profile'),
    path('login/', views.login_view, name='login'),
    path('register/', views.register_view, name='register'),
    path('verify/', views.verify_otp_view, name='verify_otp'),
    path('verify/resend/', views.resend_otp_view, name='resend_otp'),
    path('logout/', views.logout_view, name='logout'),
]
